imagesavealpha
imagesetpixel
GD Functions
PHP Manual

# imagesetbrush

(PHP 4 >= 4.0.6, PHP 5)

imagesetbrush — Set the brush image for line drawing

### Description

bool imagesetbrush ( resource `$image` , resource `$brush` )

imagesetbrush() sets the brush image to be used by all line drawing functions (such as imageline() and imagepolygon()) when drawing with the special colors `IMG_COLOR_BRUSHED` or `IMG_COLOR_STYLEDBRUSHED`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`brush`

  An image resource

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: You need not take special action when you are finished with a brush, but if you destroy the brush image, you must not use the `IMG_COLOR_BRUSHED` or `IMG_COLOR_STYLEDBRUSHED` colors until you have set a new brush image!

imagesavealpha
imagesetpixel
GD Functions
PHP Manual